import type { LoadContext, Plugin } from "@docusaurus/types";
/**
 * The plugin's options.
 */
export interface RemoteContentPluginOptions {
    /**
     * Delete local content after everything?
     */
    performCleanup?: boolean;
    /**
     * CLI only mode.
     */
    noRuntimeDownloads?: boolean;
    /**
     * The base URL for the source of the content.
     */
    sourceBaseUrl: string;
    /**
     * The name you want to give to the data. Used by the CLI, and *must* be path safe.
     */
    name: string;
    /**
     * The base output directory (e.g. "docs" or "blog").
     */
    outDir: string;
    /**
     * Specify the document paths from the sourceBaseUrl
     * in a string array or function that returns a string array.
     */
    documents?: string[] | Promise<string[]> | (() => string[]);
}
declare type LoadableContent = void;
export interface Collectable {
    url: string;
    identifier: string;
}
export default function pluginRemoteContent(context: LoadContext, options: RemoteContentPluginOptions): Plugin<LoadableContent>;
export {};
//# sourceMappingURL=index.d.ts.map